// This file can be replaced during build by using the `fileReplacements` array.
// `ng build --prod` replaces `environment.ts` with `environment.prod.ts`.
// The list of file replacements can be found in `angular.json`.

import { Environment } from './environment.type';

export const environment: Environment = {
  production: false,
  nats: {
    connectionOptions: {
      servers: ['ws://192.168.50.205:8088'],
      // servers: ['ws://192.168.50.200:8088'],
      // servers: ['ws://192.168.50.208:8088'],
      // servers: ['ws://192.168.0.103:8088'],
      // servers: ['ws://30.20.0.149:8088'],
    },
  },
  constants: {
    venderIds: {
      evolutionCasino: [1],
      casinos: [2, 26, 60, 68],
      slots: [3, 6, 24, 28, 47, 49, 50, 52, 54, 57, 58, 59, 61, 67],
      arcades: [25],
      fishs: [27],
    },
    classeIds: {
      mainOffice: '4b014ef5-3bab-4413-aaf9-b0040a70ec77',
      branch: 'ae9b874e-5d0e-4c4d-8432-f45f02691ceb',
      division: 'f25a17e9-5c5f-4e9c-bf80-92a9cedf829c',
      office: 'cac7b897-2549-4f04-8415-8868f1dcb1da',
      store: 'e11cac11-3825-4f4e-9cd5-39367f23f973',
      user: '4598f07a-86d1-42a4-b038-25706683a7cd',
    },
    levelIds: {
      level1: 'c56231ac-2120-4a81-a30a-5d41fafb6c57',
      level2: 'df49d067-d554-43b1-87f4-82fb246cec5f',
      level3: '0cce35ee-9668-495e-8840-e3d7b5b01b76',
      level4: 'e7e768d7-1d3d-4ae1-866d-4db1c1f0d9a5',
    },
  },
};

/*
 * For easier debugging in development mode, you can import the following file
 * to ignore zone related error stack frames such as `zone.run`, `zoneDelegate.invokeTask`.
 *
 * This import should be commented out in production mode because it will have a negative impact
 * on performance if an error is thrown.
 */
// import 'zone.js/plugins/zone-error';  // Included with Angular CLI.
